libzypp 17.37.10

zyppng::AbstractEventSourcePrivate Class Reference

`#include <zypp-core/zyppng/base/private/abstracteventsource_p.h>`

Inheritance diagram for zyppng::AbstractEventSourcePrivate:

## Public Member Functions
| AbstractEventSourcePrivate (AbstractEventSource &p)
Public Member Functions inherited from zyppng::BasePrivate
| BasePrivate (Base &b)
virtual | ~BasePrivate ()
virtual void | init ()

## Public Attributes
std::weak_ptr< EventDispatcher > | _ev
Public Attributes inherited from zyppng::BasePrivate
Base::WeakPtr | parent
std::unordered_set< Base::Ptr > | children
Base * | z_ptr = nullptr
std::thread::id | threadId = std::this_thread::get_id()

## Detailed Description

Definition at line 22 of file abstracteventsource_p.h.

## Constructor & Destructor Documentation

## ◆ AbstractEventSourcePrivate()

zyppng::AbstractEventSourcePrivate::AbstractEventSourcePrivate | ( | AbstractEventSource & | p | ) |

Definition at line 10 of file abstracteventsource.cc.

## Member Data Documentation

## ◆ _ev

std::weak_ptr<EventDispatcher> zyppng::AbstractEventSourcePrivate::_ev

Definition at line 28 of file abstracteventsource_p.h.

The documentation for this class was generated from the following files:

- zypp-core/zyppng/base/private/abstracteventsource_p.h
- zypp-core/zyppng/base/abstracteventsource.cc